﻿.contact-box{
  width: 1920px;
  max-width: 100%;
  display: block;
  /* display: none; */
  margin: 0 auto;
  background-color: #fff;
  position: relative;
}
#inquiry-top{
  position: relative;
  top: -180px;
}
#index .contact-box{
  background-color: #f5f5f5;
}
.contact-info-form{
  padding: 50px;
  padding-bottom: 0;
  box-sizing: border-box;
}
#index .contact-info-form{
  padding: 0;
}

.contact-all-box{
  width: 1300px;
  max-width: 100%;
  display: block;
  margin: 0 auto;
  position: relative;
  font-size: 0;
}
.index-contact-title-box{
  box-sizing: border-box;
  padding: 40px 0;
}
.index-contact-title-box h2>i{
  display: none;
}
.index-contact-title-box h2{
  font-size: 32px;
  font-weight: bold;
  letter-spacing: 1px;
  color: #ee7102;
  line-height: 40px;
  transform: skewX(-10deg);
  text-align: center;
}
.contact-form-list{
  width: calc(100% / 3 - 20px);
  display: inline-block;
  vertical-align: middle;
  border-radius: 5px;
  background-color: #eee;
  overflow: hidden;
  box-shadow: 0 0 5px rgba(0,0,0,0.0);
  margin-right: 30px;
  margin-bottom: 30px;
  border: 1px solid #d1d1d1;
  box-sizing: border-box;
}
#index .contact-form-list{
  border: none;
}
.contact-form-list:nth-child(3n){
  margin-right: 0;
}
.contact-form-list-title{
  font-size: 16px;
  color: #ee7102;
  width: 50px;
  line-height: 46px;
  display: inline-block;
  vertical-align: middle;
  text-align: center;
}
.contact-form-text{
  width: calc(100% - 50px);
  height: 46px;
  line-height: 46px;
  font-size: 14px;
  color: #888;
  display: inline-block;
  vertical-align: middle;
  border: none;
  letter-spacing: 0.03em;
  box-sizing: border-box;
  padding: 0 15px;
}
.contact-form-text.timepicker{
  width: 100%;
}
.contact-form-text::-webkit-input-placeholder,
.contact-form-list-textarea::-webkit-input-placeholder{
  font-family: "微軟正黑體";
  color: #888;
  letter-spacing: 0.03em;
  font-size: 16px;
}
.contact-form-text:-moz-placeholder,
.contact-form-list-textarea:-moz-placeholder{
  font-family: "微軟正黑體";
  color: #888;
  letter-spacing: 0.03em;
  font-size: 16px;
}
.contact-form-text::-moz-placeholder,
.contact-form-list-textarea::-moz-placeholder{
  font-family: "微軟正黑體";
  color: #888;
  letter-spacing: 0.03em;
  font-size: 16px;
}
.contact-form-list-textarea-box{
  width: 100%;
  display: block;
  border-radius: 5px;
  background-color: #fff;
  overflow: hidden;
  box-shadow: 0 0 5px rgba(0,0,0,0.0);
  margin-right: 0;
  margin-bottom: 0px;
}
.contact-form-list-textarea{
  width: 100%;
  height: 150px;
  line-height: 2;
  font-size: 14px;
  color: #888;
  display: block;
  border: none;
  letter-spacing: 0.03em;
  box-sizing: border-box;
  padding: 10px 15px;
  resize: none;
  outline: none;
}
.ui-timepicker-container .ui-corner-all{
  color: #555;
}
.contact-thanks-mask{
  width: 100%;
  height: 100%;
  display: block;
  position: absolute;
  left: 0;
  top: 0;
  background-color: rgba(0,0,0,0.2);
}
/*--------contact共用-----------*/
.contact-radio-lable,
.contact-checkbox-lable{
  display: inline-block; 

}
.contact-radio-lable input,
.contact-checkbox-lable input{
  opacity: 0;
  position: absolute;
  pointer-events: none;
}
.contact-radio-lable span,
.contact-checkbox-lable span{
  position: relative;
  display: block;
  vertical-align: middle;
  letter-spacing: 2px;
  padding-left: 30px;
}

.contact-radio-lable span:before,
.contact-checkbox-lable span:before{
  content: 'none';
  font-size: 0;
  width: 20px;
  height: 20px;
  display: block;
  position: absolute;
  left: 0;
  top: 4px;
  vertical-align: middle;
  box-sizing: border-box;
  border: 1px solid #d1d1d1;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  margin-right: 5px;
}

.contact-form-radio-list{
  margin-top: 10px;
}
.contact-form-list-title span{
  color: #ee7102;
}

button{
  font-family: "微軟正黑體","Microsoft JhengHei";
  transition: all .3s linear;
}
.button{
  box-sizing: border-box;
  padding-top: 30px;
  padding-bottom: 40px;
}
.button button{
  width: 180px;
  line-height: 40px;
  background-color: #ee7102;
  text-align: center;
  letter-spacing: 0.03em;
  font-size: 20px;
  color: #fff;
  border: none;
  border-radius: 5px;
  font-weight: bold;
  cursor: pointer;
}
.contact-form-select{
  width: 100%;
  height: 46px;
  box-sizing: border-box;
  border: none;
  display: block;
  letter-spacing: 0.03em;
  padding: 0 10px;
  color: #555;
  position: relative;
  -webkit-appearance: none; /*Chrome*/
  -moz-appearance: none; /*FF*/
  appearance: none;/*CSS3*/
  font-size: 16px;
  font-family: "微軟正黑體","Microsoft JhengHei";
}
.contact-form-select-box{
  position: relative;
  display: inline-block;
  vertical-align: middle;
  width: calc(100% - 50px);
}
.contact-form-select-box:after{
  content: 'none';
  font-size: 0;
  width: 0px;
  height: 0px;
  margin: 0 auto;
  border-right: 5px solid transparent;
  border-top: 10px solid #555;
  border-left: 5px solid transparent;
  display: block;
  position: absolute;
  right: 10px;
  top: calc(50% - 5px);
  pointer-events: none;
}

.contact-checkbox-lable input:checked + span:before{
  background-image: url(../img/front/checked.png);
  background-repeat: no-repeat;
  background-size: 80%;
  background-position: center;
}
.contact-checkbox-lable input:checked + span:before{
  background-image: url(../img/front/checked.png);
  background-size: 70%;
}

/*表單送出*/
.contact-thanks-box{
  width: 100%;
  height: 100vh;
  position: fixed;
  z-index: 999;
  top: 0;
  left: 0;
  display: none;
}
.contact-thanks-box.active{
  -webkit-align-items: center;
  align-items: center;
  -webkit-justify-content: center;
  justify-content: center;
  display: -webkit-flex;
  display: flex;
}
.contact-thanks{
  max-width: 500px;
  min-width: 200px;
  width: 400px;
  padding: 40px 30px;
  box-sizing: border-box;
  background-color: #fff;
  position: relative;
  z-index: 1;
  box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.4);
}
.contact-thanks-p{
  font-size: 16px;
  color: #555;
  transform: scaleY(1.05);
  letter-spacing:  1px;
  line-height: 2;   
}
.contact-out{
  width: 21px;
  height: 21px;
  max-width: 100%;
  display: block;
  position: absolute;
  border-radius: 50%;
  top: 5px;
  right: 5px;
  cursor: pointer;
}
.contact-out span{
  width: 15px;
  height: 1px;
  background-color: #888;
  display: block;
  margin: 0 auto;
  position: relative;
}
.contact-out span:nth-child(1){
  top: 10px;
  left: 0px;
  transform: rotate(45deg);
}
.contact-out span:nth-child(2){
  top: 9px;
  left: 0px;
  transform: rotate(-45deg);
}


/*--------------confirm-block--------------*/
.confirm-block{    
  width: 100%;
  height: 100vh;
  position: fixed;
  z-index: 999;
  top: 0;
  left: 0;
  -webkit-align-items: center;
  align-items: center;
  -webkit-justify-content: center;
  justify-content: center;
  display: -webkit-flex;
  display: flex;
}
.confirm-box{
  max-width: 500px;
  min-width: 200px;
  width: 400px;
  padding: 40px 30px;
  box-sizing: border-box;
  background-color: #fff;
  position: relative;
  z-index: 1;
  box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.4);
}
.confirm-info-box{
  position: relative;
}
.confirm-out{
  width: 20px;
  height: 20px;
  max-width: 100%;
  display: block;
  position: absolute;
  border-radius: 50%;
  border: 1px solid #FFF;
  top: 4%;
  right: 4%;
  cursor: pointer;
}
.confirm-out span{
  width: 15px;
  height: 1px;
  background-color: #FFF;
  display: block;
  margin: 0 auto;
  position: relative;
}
.confirm-out{
  z-index: 6;
}
.confirm-out span:nth-child(1){
  top: 9px;
  left: 0.5px;
  transform: rotate(45deg);
}
.confirm-out span:nth-child(2){
  top: 8px;
  left: 0.5px;
  transform: rotate(-45deg);
}
.confirm-info-title{
  font-size: 20px;
  margin-bottom: 10px;
  letter-spacing: 1px;
  transform: scaleY(1.05);
}
.confirm-info-p {
  font-size: 16px;
  color: #555;
  margin-bottom: 10px;
  letter-spacing: 1px;
  transform: scaleY(1.05);
}
.confirm-info-p:last-child {
  margin-bottom: 0;
}
.confirm-status {
  text-align: center;
  width: 100%;
  display: block;
  margin-top: 20px;
}
.confirm-status-save, .confirm-status-no {
  width: 100px;
  max-width: 100%;
  display: inline-block;
  margin: 0 auto;
  transition: all .5s ease;
  cursor: pointer;
  background-color: inherit;
  color: #000;
  font-size: 14px;
  padding: 8px 0;
  letter-spacing: 1px;
  border: 1px solid #999;
  margin: 15px;
  outline: none;
}
.confirm-status-save:hover, 
.confirm-status-no:hover{
  background-color: #555;
  color: #fff;
}



@media only screen and (max-width: 1300px){
  .contact-all-box{
      width: 1200px;
  }
}
@media only screen and (max-width: 1200px){
  .contact-all-box{
      width: 1000px;
  }
}
@media only screen and (max-width: 1000px){
  .contact-all-box{
      width: 750px;
  }
  .contact-form-list {
      width: calc(100% / 2 - 15px);
  }
  .contact-form-list:nth-child(3n){
      margin-right: 30px;
  }
  .contact-form-list:nth-child(2n){
      margin-right: 0;
  }
  .contact-form-list-textarea-box{
      width: 100%
  }
}
@media only screen and (max-width: 750px){
  .contact-all-box{
      width: 550px;
  }
  .index-contact-title-box h2{
      font-size: 26px;
      line-height: 36px;
  }
  .contact-info-form{
      padding: 0;
  }
}
@media only screen and (max-width: 550px){
  .contact-all-box{
      width: 400px;
  }
  .index-advantage-title-box h2 {
      font-size: 20px;
      line-height: inherit;
  }
  .contact-form-list{
      width: 100%;
      margin-bottom: 20px;
  }
  .contact-form-list:nth-child(n){
      margin-right: 0;
  }
  .index-contact-title-box{
      padding: 20px 0;
  }
  .contact-form-list-title{
      width: 40px;
      font-size: 14px;
      line-height: 36px;
  }
  .contact-form-text{
      width: calc(100% - 40px);
      font-size: 12px;
      line-height: 36px;
      height: 36px;
      padding: 0 10px;
  }
  .contact-form-select-box{
      width: calc(100% - 40px);
  }
  .contact-form-select{
      height: 36px;
      font-size: 12px;
  }
  .contact-form-list-textarea-box{
      margin-bottom: 0;
  }
  .contact-form-list-textarea{
      height: 150px;
  }
  .button{
      padding: 20px 0;
  }
  .button button{
      width: 100px;
      font-size: 16px;
      line-height: 30px;
  }
  .index-contact-title-box h2 {
      font-size: 20px;
      line-height: inherit;
  }
  .ui-timepicker-container .ui-corner-all{
      font-size: 16px;
  }
}
@media only screen and (max-width: 480px){

  .contact-thanks, .alert-info{
      width: 95%;
      box-sizing: border-box;
      margin: 0 auto;
  }
  .contact-thanks-p{
      font-size: 20px;
  }
}
@media only screen and (max-width: 400px){
  .contact-all-box{
      width: 300px;
  }
}

.contact-form-text:focus{
  border: 1px solid #d1d1d1;
  box-sizing: border-box;
  border-radius: 5px;
}
.contact-form-list-textarea:focus{
  border: 1px solid #d1d1d1;
  border-radius: 5px;
  box-sizing: border-box;
}
.button button:hover{
  background-color: #743804;
}


@media only screen and (min-width: 1000px){
  .index-contact-title-box h2,
  .contact-form-list,
  .button{
      /* opacity: 0; */
  }
  .index-contact-title-box.anima h2{
      animation: fadeInDown 1s ease 0s 1 both;
  }
  .contact-form-list.anima{
      animation: fadeInRight 1s ease 0s 1 both;
  }
  .button.anima{
      animation: fade 1s ease 0s 1 both;
  }
}